Bug 126457 - new completion function for shells/zsh including a backport from zsh CVS and fixes for existing ones
new completion function for shells/zsh including a backport from zsh CVS and ...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dag-Erling Smørgrav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 20:40 UTC by baptiste.daroussin
Modified: 2008-09-03 14:29 UTC (History)
0 users

See Also:


Attachments
zsh-completion.patch (17.82 KB, patch)
2008-08-11 20:40 UTC, baptiste.daroussin
no flags Details | Diff
_zfs_dataset (674 bytes, text/plain; charset=us-ascii)
2008-08-11 20:54 UTC, baptiste.daroussin
no flags Details
_zfs_pool (50 bytes, text/plain; charset=us-ascii)
2008-08-11 20:54 UTC, baptiste.daroussin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description baptiste.daroussin 2008-08-11 20:40:02 UTC
	Here is a set of patches from a project I launch in order to improve zsh completion on freebsd.
	the zfs/zpool patches are direct from zsh cvs a works on freebsd
	I fix the _csup, _portlint, _portsnap (they were already upstream for the patches currently provided with the ports so the patches are fixes against upstream) 
	_powerd, _fetch and _freebsd-update are new completion function, they will be sent upstream either in a couple of days
	soon their will be new patches (_pfctl is already in git but not finished).
	the project can be followed on this wiki: http://baptux.free.fr/wiki
	the git repository is there: http://repo.or.cz/w/zfbsd.git 
	
	If you prefer we can wait for the completion of the projet, but I think it is better for users to benefit the new functions each time one is ready.
Comment 1 baptiste.daroussin 2008-08-11 20:54:18 UTC
I forgot two files in Completion/Unix/Type for zfs 
Comment 2 Edwin Groothuis freebsd_committer 2008-08-12 00:50:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->des

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 des 2008-08-12 11:49:34 UTC
Bapt <baptiste.daroussin@gmail.com> writes:
> Here is a set of patches from a project I launch in order to improve
> zsh completion on freebsd.

Could you please send me either a) a tarball with the modified files in
their entirety or b) a patch against the port itself?

DES
--=20
Dag-Erling Sm=C3=B8rgrav - des@des.no
Comment 4 dfilter freebsd_committer 2008-08-12 13:01:31 UTC
des         2008-08-12 12:01:21 UTC

  FreeBSD ports repository

  Modified files:
    shells/zsh           Makefile 
  Added files:
    shells/zsh/files     patch-Completion-BSD-Command-_csup 
                         patch-Completion-BSD-Command-_fetch 
                         patch-Completion-BSD-Command-_freebsd-update 
                         patch-Completion-BSD-Command-_portlint 
                         patch-Completion-BSD-Command-_portsnap 
                         patch-Completion-BSD-Command-_powerd 
                         patch-Completion-BSD-Command-_zfs 
                         patch-Completion-BSD-Command-_zfs_dataset 
                         patch-Completion-BSD-Command-_zfs_pool 
                         patch-Completion-BSD-Command-_zpool 
  Removed files:
    shells/zsh/files     patch-Completion_BSD 
  Log:
  Break out BSD completion patches into separate files.
  
  Update csup, portsnap and portlint completion.  Add completion for powerd,
  freebsd-update, fetch and portaudit (from submitter) as well as zfs and
  zpool (from zsh repo).
  
  Bump PORTREVISION.
  
  PR:             ports/126457
  Submitted by:   baptiste.daroussin@gmail.com
  
  Revision  Changes    Path
  1.98      +1 -1      ports/shells/zsh/Makefile
  1.1       +26 -0     ports/shells/zsh/files/patch-Completion-BSD-Command-_csup (new)
  1.1       +33 -0     ports/shells/zsh/files/patch-Completion-BSD-Command-_fetch (new)
  1.1       +23 -0     ports/shells/zsh/files/patch-Completion-BSD-Command-_freebsd-update (new)
  1.1       +20 -0     ports/shells/zsh/files/patch-Completion-BSD-Command-_portlint (new)
  1.1       +32 -0     ports/shells/zsh/files/patch-Completion-BSD-Command-_portsnap (new)
  1.1       +16 -0     ports/shells/zsh/files/patch-Completion-BSD-Command-_powerd (new)
  1.1       +241 -0    ports/shells/zsh/files/patch-Completion-BSD-Command-_zfs (new)
  1.1       +25 -0     ports/shells/zsh/files/patch-Completion-BSD-Command-_zfs_dataset (new)
  1.1       +6 -0      ports/shells/zsh/files/patch-Completion-BSD-Command-_zfs_pool (new)
  1.1       +204 -0    ports/shells/zsh/files/patch-Completion-BSD-Command-_zpool (new)
  1.2       +0 -81     ports/shells/zsh/files/patch-Completion_BSD (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dag-Erling Smørgrav freebsd_committer 2008-09-03 14:29:17 UTC
State Changed
From-To: open->closed

Committed, thanks